import { ThreeC } from "./ThreeC";
import { Player } from "./Presets/Player";
import { Map } from "./Map/Map";
import { GatherC } from "./Map/GatherC";
import { DepositZoneC } from "./Map/DepositZoneC";
import { ResourceUIC } from "./Resources/ResourceUIC";
import { ResourceFlyC } from "./Resources/ResourceFlyC";
import { ResourceDepositC } from "./Resources/ResourceDepositC";
import { PropHpUIC } from "./Map/PropHpUIC";
import { PropVfxC } from "./Map/PropVfxC";
import { InvasionProgressUIC } from "./UI/InvasionProgressUIC";
import { PreGameplayUIC } from "./UI/PreGameplayUIC";

export class TestSceneC {
  static init() {
    InvasionProgressUIC.init();
    ResourceUIC.init();
    PreGameplayUIC.init();
    ResourceFlyC.init();
    PropHpUIC.init();
    PropVfxC.Init();
    Map.init();
    PropHpUIC.bringOverlayToFront();
    GatherC.init();
    Player.init();
    PropHpUIC.bringOverlayToFront();

    const mapObject = ThreeC.getObject("map");
    if (mapObject) {
      DepositZoneC.init(mapObject);
    }

    ResourceDepositC.init();
  }
}
